Kafka稳定版选择

林开心 发表于: 2023-10-14   最后更新时间: 2023-10-15 00:13:32   630 游览

1、我当前的Kafka版本是1.0.1,预更新Kafka的版本,没有从release中找到稳定版或LTS版本。
2、同时我暂时不想使用KRaft功能,替代zookeeper。
3、我是否可以使用2.7.1或3.4.1版本?

发表于 2023-10-14
添加评论

你弃用Kafka 1.0.1版本的原因是什么呢?

每个版本都有引入不同的功能,比如1.0.1引入了安全验证,流处理、连接器等等,如果你不需要这些功能,只使用生产和消费,那老版本也是非常稳定可靠的。

如果不使用KRaft,则建议使用2.7.2。

林开心 -> 半兽人 8月前

目前不考虑使用KRaft特性,任然使用zookeeper,更新版本主要是以下:

  • 在使用SASL和SSL安全验证,想提升性能,新版本支持了TLS1.3。
  • JDK版本准备更新至17。
  • 考虑能够有复制协议的改进减少OOM的情况还有一些消费组Rebalance策略。
  • 目前使用Snappy压缩,看官方描述ZStandard性能要更好。
你的答案

查看kafka相关的其他问题或提一个您自己的问题